View Issue Details

IDProjectCategoryView StatusLast Update
0002026SymmetricDS ProImprovementpublic2015-01-06 17:26
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.6.0 
Target Version3.7.0Fixed in Version3.7.0 
Summary0002026: Relaunch control center as privileged process on Windows
DescriptionThe symcc Control Center runs without the privilege to start/stop and install/uninstall the service. Even when the user is a local admin, Windows gives the process the lowest privilege it thinks is needed. To get the User Account Control (UAC) pop-up to escalate privilege, we need to run the process again with ShellExecute and the "runas" verb. (The "runas" command line utility is similar, but prompts for a password instead of invoking the UAC.)
Additional InformationThis issue will only cover privilege escalation on Windows, but we can do something similar for Unix and MacOS. IZPack-util includes a MacOS X executable that can escalate privilege that we might use. Unix has sudo, gksudo, and pkexec, and other variants that we could call. See http://en.wikipedia.org/wiki/Comparison_of_privilege_authorization_features
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 3aef9861

2014-10-26 09:17:46

erilong

Details Diff
0002026: Relaunch control center as privileged process on Windows
0002026
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WindowsService.java Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WrapperService.java Diff File
add - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/jna/Shell32Ex.java Diff File

Issue History

Date Modified Username Field Change
2014-10-26 09:16 elong New Issue
2014-10-26 09:16 elong Status new => assigned
2014-10-26 09:16 elong Assigned To => elong
2014-10-26 09:33 elong Status assigned => resolved
2014-10-26 09:33 elong Fixed in Version => 3.7.0
2014-10-26 09:33 elong Resolution open => fixed
2014-10-26 10:00 Changeset attached => SymmetricDS trunk r8836
2015-01-06 17:26 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master 3aef9861